# Macro for all binary files that should use Git LFS.
[attr]lfs -text filter=lfs diff=lfs merge=lfs

# Default to auto-normalized line endings.
* text=auto

# Code
*.cs text diff=csharp
*.shader text

# Image
*.jpg lfs
*.jpeg lfs
*.png lfs
*.apng lfs
*.atsc lfs
*.gif lfs
*.bmp lfs
*.exr lfs
*.hdr lfs
*.tga lfs
*.tiff lfs
*.tif lfs
*.iff lfs
*.pict lfs
*.dds lfs
*.eps lfs
*.xcf lfs
*.leo lfs
*.kra lfs
*.kpp lfs
*.ktx lfs
*.clip lfs
*.webm lfs
*.webp lfs
*.svg lfs
*.svgz lfs
*.psd lfs
*.ai lfs
*.afphoto lfs
*.afdesign lfs

# Audio
*.mp3 lfs
*.ogg lfs
*.wav lfs
*.aiff lfs
*.aif lfs
*.mod lfs
*.it lfs
*.s3m lfs
*.xm lfs

# Video
*.mov lfs
*.avi lfs
*.asf lfs
*.mpg lfs
*.mpeg lfs
*.mp4 lfs
*.flv lfs
*.ogv lfs
*.wmv lfs

# 3D
*.fbx lfs
*.obj lfs
*.max lfs
*.blend lfs
*.blender lfs
*.dae lfs
*.mb lfs
*.ma lfs
*.3ds lfs
*.dfx lfs
*.c4d lfs
*.lwo lfs
*.lwo2 lfs
*.abc lfs
*.3dm lfs
*.bin lfs
*.glb lfs
*.gltf lfs
*.model lfs

# Font
*.otf lfs
*.ttf lfs

# Documents
*.pdf lfs

# Compiled Dynamic Library
*.dll lfs
*.pdb lfs
*.so lfs
*.so.* lfs

# Compiled Static Library
*.a lfs
*.la lfs
*.lai lfs
*.lib lfs
*.llblgenproj lfs

# Executables
*.exe lfs
*.dll lfs
*.so lfs
*.pdb lfs
*.mdb lfs

# Packaging
*.zip lfs
*.7z lfs
*.gz lfs
*.rar lfs
*.tar lfs
*.bz2 lfs

# 
*.dylib lfs
*.refresh lfs